#
# mode: LIGHT, MEDIUM or STRONG. 
# LIGHT - only constraints generated (and only fingerprint data is using along with BACend read names convention)
# MEDIUN - constraints and artificial reads generated (BACend sequence data is using)
# STRONG - same as MEDIUM, but additional overlap constraints generated (not only between direct neighbours)
#

mode = STRONG

#
# fingerprint data
#

# Agarose data

fpc_map = /projects/01/chimp/map/master/master_Chimpmap.fpc 
sizes_files = /projects/01/chimp/map/master/Sizes/*.sizes
#BAC_end_reads = /home/dvarabei/PCAP_Fassi/Chimp/chimp_BACend_reads.txt
#BAC_end_reads = /home/dvarabei/HICF_chimp/DATA/Agarose_BACend_reads.txt
BAC_end_reads = /home/dvarabei/PCAP_Fassi/Chimp/Chimp5MbAgaroseBACreads.txt


# HICF data 
#fpc_map = /home/dvarabei/HICF_chimp/DATA/Chimp5Mb_hicf.fpc
#sizes_files = /home/dvarabei/HICF_chimp/DATA/Sizes/*.sizes
#BAC_end_reads = /home/dvarabei/HICF_chimp/DATA/chimp_BACend_reads.txt
#BAC_end_reads = /home/dvarabei/PCAP_Fassi/Chimp/Chimp5MbHicfBACreads.txt



#
# HICF stuff. For agaroze map use multiplier = 1 and max_band_size = maximum of band size.
# for HICF map use multiplier = (average HICF BAC size)/(average BAC size), max_band_size - border between enzymes,
# real fragment size calculated this way: (fragment size % max_band_size) 
#

#multiplier = 0.6
multiplier = 1
#min_band_size = 0
#max_band_size = 5000

#
# overlap parameters.
# shared_length_to_count_overlap2 is using in STRONG mode only to generate constraints
# between not only direct neighbours
#

shared_length_to_count_overlap = 0.4  //similarity to generate constraints between 2 neighbours
shared_length_to_count_overlap2 = 0.3  //similarity to generate constraints between other neighbours



#
# sequence data. Using only in MEDIUM or STRONG mode to generate artificial reads and qualities
#

reads_fasta = /home/dvarabei/PCAP_Fassi/Chimp/BAC.fasta.clip
reads_quality = /home/dvarabei/PCAP_Fassi/Chimp/BAC.fasta.clip.qual


# tolerance. 2 options: read a tolerance from file, or use linear function from fragment size.
# In second case it's necessary to define tolerance_min_band and  tolerance_max_band for 
# minimum band size and maximum band size respectively

size_errors_info = /home/dvarabei/Fassi/file_size_errors.txt
tolerance_min_band = 7
tolerance_max_band = 7

#
# output files. output_reads and output_qual are using only in MEDIUM and STRONG mode
#

output_reads = stat/fassi_reads.fasta
output_qual = stat/fassi_reads.qual
output_constraints = stat/fassi.con
output_stat = stat/fassi.stat
